net.sf.jasperreports.engine.fill

## Class JRFillCrosstab.CrosstabFiller

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillCrosstab.CrosstabFiller

- Enclosing class:
    JRFillCrosstab

      protected class JRFillCrosstab.CrosstabFiller
      extends java.lang.Object

  Crosstab filler class.
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillCrosstab.CrosstabFiller()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFilledRows()`
    `protected void` | `addPrintRow(java.util.List<JRPrintElement> printRow)`
    `protected boolean[]` | `computeBreakableHeaders(HeaderCell[][] headersData, JRFillCrosstabGroup[] groups, int[] offsets, boolean width, boolean startHeaders)`
    `protected int[]` | `computeOffsets(HeaderCell[][] headersData, JRFillCrosstabGroup[] groups, boolean width)`
    `protected JRDesignComponentElement` | `createIconLabelElement(SortOrderEnum order, JRFillTextElement textElement, BuiltinExpressionEvaluatorFactory builtinExpressions)`
    `protected boolean` | `ended()`
    `protected void` | `fill(int availableHeight)`
    `protected java.util.List<java.util.List<JRPrintElement>>` | `fillColumnHeaders(int rowHeadersXOffset, int availableHeight)`
    `protected void` | `fillNoDataCell(int availableHeight)`
    `protected int` | `fillRows(int xOffset, int availableHeight)`
    `protected void` | `fillVerticalCrosstab(int availableHeight)`
    `protected java.util.List<HeaderCell[]>` | `getGroupHeaders(int available, int[] offsets, boolean[] breakable, int firstIndex, HeaderCell[][] headersData, JRFillCrosstabGroup[] groups)`
    `protected java.util.List<JRPrintElement>` | `getLastPrintRow()`
    `protected int` | `getSpanIndex(int i, int j, HeaderCell[][] headersData)`
    `protected void` | `initCrosstab()`
    `protected java.lang.Object` | `measureValue(MeasureDefinition.MeasureValue[] values, int measureIdx)`
    `protected JRFillCellContents` | `prepareColumnCrosstabHeader(int availableHeight)`
    `protected void` | `resetVariables()`
    `protected void` | `setGroupMeasureVariables(HeaderCell cell, boolean rowGroup)`
    `protected void` | `setGroupVariables(JRFillCrosstabGroup[] groups, BucketDefinition.Bucket[] bucketValues)`
    `protected void` | `setMeasureVariables(CrosstabCell cell)`
    `protected void` | `setRowHeadersXOffsets()`
    `protected boolean` | `toCloseRowHeader(int rowGroup)`
    `protected boolean` | `willOverflow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRFillCrosstab.CrosstabFiller

          protected JRFillCrosstab.CrosstabFiller()

  - ### Method Detail

    - #### initCrosstab

          protected void initCrosstab()

    - #### setRowHeadersXOffsets

          protected void setRowHeadersXOffsets()

    - #### computeOffsets

          protected int[] computeOffsets(HeaderCell[][] headersData,
                             JRFillCrosstabGroup[] groups,
                             boolean width)

    - #### computeBreakableHeaders

          protected boolean[] computeBreakableHeaders(HeaderCell[][] headersData,
                                          JRFillCrosstabGroup[] groups,
                                          int[] offsets,
                                          boolean width,
                                          boolean startHeaders)

    - #### fill

          protected void fill(int availableHeight)
                       throws JRException

      Throws:
        `JRException`

    - #### willOverflow

          protected boolean willOverflow()

    - #### ended

          protected boolean ended()

    - #### fillVerticalCrosstab

          protected void fillVerticalCrosstab(int availableHeight)
                                       throws JRException

      Throws:
        `JRException`

    - #### addFilledRows

          protected void addFilledRows()

    - #### getGroupHeaders

          protected java.util.List<HeaderCell[]> getGroupHeaders(int available,
                                                     int[] offsets,
                                                     boolean[] breakable,
                                                     int firstIndex,
                                                     HeaderCell[][] headersData,
                                                     JRFillCrosstabGroup[] groups)

    - #### getSpanIndex

          protected int getSpanIndex(int i,
                         int j,
                         HeaderCell[][] headersData)

    - #### fillNoDataCell

          protected void fillNoDataCell(int availableHeight)
                                 throws JRException

      Throws:
        `JRException`

    - #### fillColumnHeaders

          protected java.util.List<java.util.List<JRPrintElement>> fillColumnHeaders(int rowHeadersXOffset,
                                                                         int availableHeight)
                                                                              throws JRException

      Throws:
        `JRException`

    - #### createIconLabelElement

          protected JRDesignComponentElement createIconLabelElement(SortOrderEnum order,
                                                        JRFillTextElement textElement,
                                                        BuiltinExpressionEvaluatorFactory builtinExpressions)

    - #### prepareColumnCrosstabHeader

          protected JRFillCellContents prepareColumnCrosstabHeader(int availableHeight)
                                                            throws JRException

      Throws:
        `JRException`

    - #### fillRows

          protected int fillRows(int xOffset,
                     int availableHeight)
                          throws JRException

      Throws:
        `JRException`

    - #### toCloseRowHeader

          protected boolean toCloseRowHeader(int rowGroup)

    - #### addPrintRow

          protected void addPrintRow(java.util.List<JRPrintElement> printRow)

    - #### getLastPrintRow

          protected java.util.List<JRPrintElement> getLastPrintRow()

    - #### setGroupVariables

          protected void setGroupVariables(JRFillCrosstabGroup[] groups,
                               BucketDefinition.Bucket[] bucketValues)

    - #### setGroupMeasureVariables

          protected void setGroupMeasureVariables(HeaderCell cell,
                                      boolean rowGroup)

    - #### setMeasureVariables

          protected void setMeasureVariables(CrosstabCell cell)

    - #### measureValue

          protected java.lang.Object measureValue(MeasureDefinition.MeasureValue[] values,
                                      int measureIdx)

    - #### resetVariables

          protected void resetVariables()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com